<?php

  $Position   = '../';
  require_once($Position.'config/config.php');
  require_once($Position.'config/conexion.php');
  require_once($Position.'config/user.php');
  require_once($Position.'funciones/funciones.php');

  if( $_POST['Save-Cliente'] == 'Ok' ){

    $Nombre           = $_POST['Nombre'];
    $Pasaporte        = $_POST['Pasaporte'];
    $Rfc              = $_POST['Rfc'];
    $FechaNacimiento  = $_POST['FechaNacimiento'];
    $FechaNacimiento  = CambioFechaCompleta($FechaNacimiento);
    $Telefono         = $_POST['Telefono'];
    $Email            = $_POST['Email'];
    $Uso              = $_POST['Uso'];
    $Fecha            = date('Y-m-d H-i-s');

    if( $Nombre ){

      //Valida RFC
      $Query = "
        SELECT
          cli.Id
        FROM KB_Clientes cli
        WHERE
          cli.RFC = '$Rfc'
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Val = mysqli_fetch_assoc($Result);
      if( $Val[Id] ){

        $Data = array(
          'action'    => 'error',
          'msn'       => 'Este Cliente ya esta dado de Alta. ( '.$Rfc.' )'
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }else{

        //Inserta Venta
        $Query = "
          INSERT INTO KB_Clientes
          (
            Fk_Usuario,
            Nombre, Rfc,
            Pasaporte, FechaNacimiento,
            Email, Telefono,
            Fk_UsoCfdi
          )
          VALUES (
            '$User[Id]',
            '$Nombre', '$Rfc',
            '$Pasaporte', '$FechaNacimiento',
            '$Email', '$Telefono',
            '$Uso'
          )
        ";
        $Result = mysqli_query($mysqli, $Query);
        $Id = mysqli_insert_id($mysqli);

        if( $Id ){
          $Data = array(
            'action'    => 'saved',
            'msn'       => 'Cliente guardado con éxito!'
          );
          echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);
        }
      }

    }else{

      $Data = array(
        'action'    => 'error',
        'msn'       => 'Falta llenar algunos campos.'
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }


  }

?>
